Debian Bug report logs - #588677
procps: FTBFS on hurd-i386

version graph

Package: procps; Maintainer for procps is Craig Small <csmall@debian.org>; Source for procps is src:procps.

Reported by: Jeremie Koenig <jk@jk.fr.eu.org>

Date: Sun, 11 Jul 2010 04:21:01 UTC

Severity: important

Tags: patch

Found in version procps/1:3.2.8-9

Fixed in version procps/1:3.2.8-10

Done: Craig Small <csmall@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#588677; Package procps. (Sun, 11 Jul 2010 04:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremie Koenig <jk@jk.fr.eu.org>:
New Bug report received and forwarded. Copy sent to Craig Small <csmall@debian.org>. (Sun, 11 Jul 2010 04:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeremie Koenig <jk@jk.fr.eu.org>
To: submit@bugs.debian.org
Subject: procps: FTBFS on hurd-i386
Date: Sun, 11 Jul 2010 06:19:21 +0200
[Message part 1 (text/plain, inline)]
Package: procps
Version: 1:3.2.8-9
Severity: important
Tags: patch
User: debian-hurd@lists.debian.org
Usertags: hurd

Hi,

The current version of procps fails to build from source on hurd-i386.

This is caused by debian/patches/vmstat_part_format.patch, which uses
the PATH_MAX constant.

I'm not sure what the preferred form of submission is for such things,
but the attached "patch to the patch" fixes this problem.

Thanks,
-- 
Jeremie Koenig <jk@jk.fr.eu.org>
http://jk.fr.eu.org
[procps-vmstat_part_format-pathmax.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Craig Small <csmall@debian.org> to control@bugs.debian.org. (Wed, 17 Nov 2010 11:24:03 GMT) Full text and rfc822 format available.

Reply sent to Craig Small <csmall@debian.org>:
You have taken responsibility. (Thu, 18 Nov 2010 12:06:08 GMT) Full text and rfc822 format available.

Notification sent to Jeremie Koenig <jk@jk.fr.eu.org>:
Bug acknowledged by developer. (Thu, 18 Nov 2010 12:06:08 GMT) Full text and rfc822 format available.

Message #12 received at 588677-close@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: 588677-close@bugs.debian.org
Subject: Bug#588677: fixed in procps 1:3.2.8-10
Date: Thu, 18 Nov 2010 12:02:22 +0000
Source: procps
Source-Version: 1:3.2.8-10

We believe that the bug you reported is fixed in the latest version of
procps, which is due to be installed in the Debian FTP archive:

libproc-dev_3.2.8-10_amd64.deb
  to main/p/procps/libproc-dev_3.2.8-10_amd64.deb
procps_3.2.8-10.debian.tar.gz
  to main/p/procps/procps_3.2.8-10.debian.tar.gz
procps_3.2.8-10.dsc
  to main/p/procps/procps_3.2.8-10.dsc
procps_3.2.8-10_amd64.deb
  to main/p/procps/procps_3.2.8-10_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 588677@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Craig Small <csmall@debian.org> (supplier of updated procps package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 18 Nov 2010 22:37:56 +1100
Source: procps
Binary: procps libproc-dev
Architecture: source amd64
Version: 1:3.2.8-10
Distribution: unstable
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Craig Small <csmall@debian.org>
Description: 
 libproc-dev - library for accessing process information from /proc
 procps     - /proc file system utilities
Closes: 588677 592116 599043 603759
Changes: 
 procps (1:3.2.8-10) unstable; urgency=low
 .
   * PATH_MAX fix for hurd Closes: #588677
   * Added sorting for mem% in ps Closes: #599043
   * Adjusted Makefile includes for make 3.82 Closes: #603759
   * Fixed minor typos in ps.1 Closes: #592116
   * Added RedHat patch procps-3.2.8-longcmd to stop truncated lines
   * cgroup added to ps.1 from RedHat patch ps_cgroup_display
   * Read system time from /proc/stat instead of calculating - From SuSE
     patch btime-from-proc-stat
   * imported RedHat patch top-clrscr so top clears screen when quitting
   * Updated to standards version 3.9.1
Checksums-Sha1: 
 8df6cc3d590693ebcb19b0e1037e4a18b5ccfa72 1178 procps_3.2.8-10.dsc
 898449da0ac41194b8743f965862ce9be3760075 97024 procps_3.2.8-10.debian.tar.gz
 630f2d88e521567fd70eadea7aff530627922bd6 249130 procps_3.2.8-10_amd64.deb
 2c94333bcc85ff855a8f67578e4f9ca700fbc8e1 65564 libproc-dev_3.2.8-10_amd64.deb
Checksums-Sha256: 
 30d3e926fe283bbb79c1b363430cf0b5094d25c4d473f57a195b15a37c8a98cb 1178 procps_3.2.8-10.dsc
 07d2295014920e5ff4182257f5b7781019dc0e70a12755cefa93e19022f45aad 97024 procps_3.2.8-10.debian.tar.gz
 e2aeaa64e50c86e48081abb823a463e16df19a6a3c0992f905bb2e04b7a64ab1 249130 procps_3.2.8-10_amd64.deb
 560f390dd87119b7830ad61c1bc3e122f9d9abb8a504083bef53966711c176e1 65564 libproc-dev_3.2.8-10_amd64.deb
Files: 
 a8ae3c7834a4790cfcad28f85d90d0aa 1178 admin important procps_3.2.8-10.dsc
 a4cad6337e512c98ee6ffd1eea439cd5 97024 admin important procps_3.2.8-10.debian.tar.gz
 6744feae10c351d48c5e02d31b822cbe 249130 admin important procps_3.2.8-10_amd64.deb
 70c90b30f29befffd53774ed448da07d 65564 libdevel optional libproc-dev_3.2.8-10_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkzlFBIACgkQx2zlrBLK36UxOwCgkNGLIDBnCmkJcNK5q29QnYjR
XjwAn09DShfDqOqRx4CeODnRIS+HgrXs
=l1a4
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 09:55:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:13:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.